Get COLA processing times
curl --request GET \
--url https://app.colacloud.us/api/v1/processing-times \
--header 'X-API-Key: <api-key>'import requests
url = "https://app.colacloud.us/api/v1/processing-times"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://app.colacloud.us/api/v1/processing-times', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"commodity": "<string>",
"snapshot_date": "2023-12-25",
"turnaround_days_median": 123,
"queue_frontier_date": "2023-12-25",
"queue_depth_days": 123
}
],
"meta": {
"total": 123
}
}Reference Data
Get COLA processing times
Current TTB label application processing times by commodity (Wine, Malt Beverage, Distilled Spirits). Sourced from the TTB’s public processing times page.
This endpoint is free — it does not consume quota.
GET
/
processing-times
Get COLA processing times
Authorizations
ApiKeyHeaderBearerApiKey
API key passed in the X-API-Key header
Query Parameters
Filter by commodity (case-insensitive, e.g. "wine")
⌘I

